Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Zip.ZipFile.ZipUpdate Class Reference

Represents a pending update to a Zip file. More...

Collaboration diagram for ICSharpCode.SharpZipLib.Zip.ZipFile.ZipUpdate:
[legend]

## Public Member Functions
| ZipUpdate (string fileName, ZipEntry entry)
| ZipUpdate (string fileName, string entryName, CompressionMethod compressionMethod)
| ZipUpdate (string fileName, string entryName)
| ZipUpdate (IStaticDataSource dataSource, string entryName, CompressionMethod compressionMethod)
| ZipUpdate (IStaticDataSource dataSource, ZipEntry entry)
| ZipUpdate (ZipEntry original, ZipEntry updated)
| ZipUpdate (UpdateCommand command, ZipEntry entry)
| ZipUpdate (ZipEntry entry)
| Copy an existing entry.
Stream | GetSource ()

## Properties
ZipEntry | Entry`[get]`
| Get the ZipEntry for this update.
ZipEntry | OutEntry`[get]`
| Get the ZipEntry that will be written to the updated/new file.
UpdateCommand | Command`[get]`
| Get the command for this update.
string | Filename`[get]`
| Get the filename if any for this update. Null if none exists.
long | SizePatchOffset`[get, set]`
| Get/set the location of the size patch for this update.
long | CrcPatchOffset`[get, set]`
| Get /set the location of the crc patch for this update.
long | OffsetBasedSize`[get, set]`
| Get/set the size calculated by offset. Specifically, the difference between this and next entry's starting offset.

## Private Attributes
ZipEntry | entry_
ZipEntry | outEntry_
UpdateCommand | command_
IStaticDataSource | dataSource_
string | filename_
long | sizePatchOffset_ = -1
long | crcPatchOffset_ = -1
long | _offsetBasedSize = -1

## Detailed Description

Represents a pending update to a Zip file.

## Constructor & Destructor Documentation

## ◆ ZipUpdate() [1/8]

ICSharpCode.SharpZipLib.Zip.ZipFile.ZipUpdate.ZipUpdate | ( | string | fileName,
|  | ZipEntry | entry )

## ◆ ZipUpdate() [2/8]

ICSharpCode.SharpZipLib.Zip.ZipFile.ZipUpdate.ZipUpdate | ( | string | fileName,
|  | string | entryName,
|  | CompressionMethod | compressionMethod )

## ◆ ZipUpdate() [3/8]

ICSharpCode.SharpZipLib.Zip.ZipFile.ZipUpdate.ZipUpdate | ( | string | fileName,
|  | string | entryName )

## ◆ ZipUpdate() [4/8]

ICSharpCode.SharpZipLib.Zip.ZipFile.ZipUpdate.ZipUpdate | ( | IStaticDataSource | dataSource,
|  | string | entryName,
|  | CompressionMethod | compressionMethod )

## ◆ ZipUpdate() [5/8]

ICSharpCode.SharpZipLib.Zip.ZipFile.ZipUpdate.ZipUpdate | ( | IStaticDataSource | dataSource,
|  | ZipEntry | entry )

## ◆ ZipUpdate() [6/8]

ICSharpCode.SharpZipLib.Zip.ZipFile.ZipUpdate.ZipUpdate | ( | ZipEntry | original,
|  | ZipEntry | updated )

## ◆ ZipUpdate() [7/8]

ICSharpCode.SharpZipLib.Zip.ZipFile.ZipUpdate.ZipUpdate | ( | UpdateCommand | command,
|  | ZipEntry | entry )

Here is the call graph for this function:

## ◆ ZipUpdate() [8/8]

ICSharpCode.SharpZipLib.Zip.ZipFile.ZipUpdate.ZipUpdate | ( | ZipEntry | entry | ) |

Copy an existing entry.

Parameters

  entry | The existing entry to copy.

## Member Function Documentation

## ◆ GetSource()

Stream ICSharpCode.SharpZipLib.Zip.ZipFile.ZipUpdate.GetSource | ( |  | ) |

Here is the caller graph for this function:

## Member Data Documentation

## ◆ _offsetBasedSize

long ICSharpCode.SharpZipLib.Zip.ZipFile.ZipUpdate._offsetBasedSize = -1
| private

## ◆ command_

UpdateCommand ICSharpCode.SharpZipLib.Zip.ZipFile.ZipUpdate.command_
| private

## ◆ crcPatchOffset_

long ICSharpCode.SharpZipLib.Zip.ZipFile.ZipUpdate.crcPatchOffset_ = -1
| private

## ◆ dataSource_

IStaticDataSource ICSharpCode.SharpZipLib.Zip.ZipFile.ZipUpdate.dataSource_
| private

## ◆ entry_

ZipEntry ICSharpCode.SharpZipLib.Zip.ZipFile.ZipUpdate.entry_
| private

## ◆ filename_

string ICSharpCode.SharpZipLib.Zip.ZipFile.ZipUpdate.filename_
| private

## ◆ outEntry_

ZipEntry ICSharpCode.SharpZipLib.Zip.ZipFile.ZipUpdate.outEntry_
| private

## ◆ sizePatchOffset_

long ICSharpCode.SharpZipLib.Zip.ZipFile.ZipUpdate.sizePatchOffset_ = -1
| private

## Property Documentation

## ◆ Command

UpdateCommand ICSharpCode.SharpZipLib.Zip.ZipFile.ZipUpdate.Command
| get

Get the command for this update.

## ◆ CrcPatchOffset

long ICSharpCode.SharpZipLib.Zip.ZipFile.ZipUpdate.CrcPatchOffset
| get set

Get /set the location of the crc patch for this update.

## ◆ Entry

ZipEntry ICSharpCode.SharpZipLib.Zip.ZipFile.ZipUpdate.Entry
| get

Get the ZipEntry for this update.

This is the source or original entry.

## ◆ Filename

string ICSharpCode.SharpZipLib.Zip.ZipFile.ZipUpdate.Filename
| get

Get the filename if any for this update. Null if none exists.

## ◆ OffsetBasedSize

long ICSharpCode.SharpZipLib.Zip.ZipFile.ZipUpdate.OffsetBasedSize
| get set

Get/set the size calculated by offset. Specifically, the difference between this and next entry's starting offset.

## ◆ OutEntry

ZipEntry ICSharpCode.SharpZipLib.Zip.ZipFile.ZipUpdate.OutEntry
| get

Get the ZipEntry that will be written to the updated/new file.

## ◆ SizePatchOffset

long ICSharpCode.SharpZipLib.Zip.ZipFile.ZipUpdate.SizePatchOffset
| get set

Get/set the location of the size patch for this update.

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Zip/ZipFile.cs